Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents
Enum Document.Configuration.CompatibilityModeEnum

    java.lang.Object
      java.lang.Enum<Document.Configuration.CompatibilityModeEnum>
          org.pdfclown.documents.Document.Configuration.CompatibilityModeEnum

All Implemented Interfaces:
  Serializable, Comparable<Document.Configuration.CompatibilityModeEnum>

Enclosing class:
  Document.Configuration

    public static enum Document.Configuration.CompatibilityModeEnum

extends Enum<Document.Configuration.CompatibilityModeEnum>

Version compatibility mode.

Enum Constant Summary
`Loose` Document's conformance version is automatically updated to support used features.
`Passthrough` Document's conformance version is ignored; any feature is accepted without checking its compatibility.
`Strict` Document's conformance version is mandatory; any unsupported feature is forbidden and causes an exception to be thrown in case of attempted use.

Method Summary
`static Document.Configuration.CompatibilityModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Document.Configuration.CompatibilityModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Passthrough

    public static final Document.Configuration.CompatibilityModeEnum Passthrough

  Document's conformance version is ignored; any feature is accepted without checking its compatibility.

### Loose

    public static final Document.Configuration.CompatibilityModeEnum Loose

  Document's conformance version is automatically updated to support used features.

### Strict

    public static final Document.Configuration.CompatibilityModeEnum Strict

  Document's conformance version is mandatory; any unsupported feature is forbidden and causes an exception to be thrown in case of attempted use.

Method Detail

### values

    public static Document.Configuration.CompatibilityModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Document.Configuration.CompatibilityModeEnum c : Document.Configuration.CompatibilityModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Document.Configuration.CompatibilityModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.